> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/ac_admin/anlagenuebersicht/anlage/dienste_und_anwendungen/mirror/ab_mirror.md).

# Workspace

## Server <a href="#status" id="status"></a>

### Status

Status of mirror: Inactive, running service, running application, ...

Note

The service cannot be stopped if it is running in a session other than that of the current user (e.g. Terminal Server).

## Settings of the mirrored plant <a href="#einstellungenanlage" id="einstellungenanlage"></a>

### Server address

Address or name of the ACRON Database Server whose data are being mirrored.

If a connection cannot be made, detailed information which might help remedy the problem is displayed.

### Port

Port of the ACRON database server whose data are being mirrored.

## Programs to run after startup <a href="#nachzustartendeprogramme" id="nachzustartendeprogramme"></a>

Program to run after successful startup of ACRON Mirror.

## Synchronization intervals <a href="#abgleichintervalle" id="abgleichintervalle"></a>

### Full synchronization

Interval at which ACRON Mirror synchronizes the complete database with the other computer. The default selection is "Every hour". If the network is slow, it might be necessary to specify a longer period.

Note

Process and alert data are only handled during full synchronization if the "Suppress record-by-record synchronization" option was selected when configuring them (see [Process data synchronization](#prozessdatenabgleich) / [Alert data synchronization](#alarmdatenabgleich)).

### Process data synchronization (record-by-record)\* <a href="#prozessdatenabgleich" id="prozessdatenabgleich"></a>

Intervals at which ACRON Mirror synchronizes the process data of the auto and manual variables with the other computer. The default selection is "Every 10 minutes". If the network is slow, it might be necessary to specify a longer period.

Note

As long as the Mirror is running as an application or service, configuration is not possible in this dialog.

### Alert data synchronization (record by record)\* <a href="#alarmdatenabgleich" id="alarmdatenabgleich"></a>

Interval at which ACRON Mirror synchronizes alert data with the other computer. The default selection is "Every 10 minutes". If the network is slow, it might be necessary to specify a longer period.

Note

#### \*Suppress record-by-record synchronization:

The process (alert) data is always synchronized for the entire day, meaning the synchronization runs at file level at the full synchronization intervals.

* If data is recorded on both sides and the synchronization is bidirectional, this option should not be used.
* If data is synchronized in only one direction, however, it makes sense to use this option because it works more efficiently than synchronizing at data record level.
* This option must always be selected for plants in different time zones!

### Time synchronization tolerance in ms

Identical data records with time stamp differences within this time span are not included in the synchronization.

Note

This option is only available for synchronization at time intervals.

#### Background

In redundant systems, the same alerts may be reported with slightly different time stamps on the redundant stations due to process runtimes. If a time span is specified here, ACRON Mirror recognizes alerts that differ only in their time stamps up to the tolerance entered here as identical, and does not synchronize them.

<details>

<summary></summary>

**Server A**

2019-01-01 12:00:00.000//TANK1//KMT//HIHI//Filling level tank 1 too high

2019-01-01 12:00:04.000//TANK1//KMT//HIHI//Filling level tank 1 too high

2019-01-01 12:00:04.000//TANK2//KMT//HIHI//Filling level tank 2 too high

**Server B**

2019-01-01 12:00:01.000//TANK1//KMT//HIHI/Filling level tank 1 too high

2019-01-01 12:00:05.000//TANK2//KMT//HIHI//Filling level tank 2 too high

With synchronization tolerance = 2000 ms ==>

**Server A** (no change)

2019-01-01 12:00:00.000//TANK1//KMT//HIHI//Filling level tank 1 too high

2019-01-01 12:00:04.000//TANK1//KMT//HIHI//Filling level tank 1 too high

2019-01-01 12:00:04.000//TANK2//KMT//HIHI//Filling level tank 2 too high

**Server B** (one additional data record)

2019-01-01 12:00:01.000//TANK1//KMT//HIHI/Filling level tank 1 too high

2019-01-01 12:00:04.000//TANK1//KMT//HIHI//Filling level tank 1 too high

2019-01-01 12:00:05.000//TANK2//KMT//HIHI//Filling level tank 2 too high

</details>

### Service data synchronization

Interval at which ACRON Mirror synchronizes service data with the other computer. The default selection is "Every 10 minutes". If the network is slow, it might be necessary to specify a longer period.

## Settings <a href="#einstellungen" id="einstellungen"></a>

### Confirmation on exit

You can exit the ACRON Mirror after answering a confirmation prompt and entering a password where so required.

### Time synchronization

ACRON Mirror is able to synchronize the system time of this computer. The time synchronization balances out time differences of a maximum of 1 hour between the computers.

Note

Greater time differences are not covered, for security reasons.

This option must not be enabled for plants in different time zones!

### Prioritize data on this computer

The data on this computer represents the lead data set. When synchronizing the data, all redundant process data from the other computers are overwritten by the data on this computer.

Note

This option may only be enabled for one plant.

As long as the Mirror is running as an application or service, configuration is not possible in this dialog.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/ac_admin/anlagenuebersicht/anlage/dienste_und_anwendungen/mirror/ab_mirror.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
